TOOL = ../thrower
CXXFLAGS = -DTHROWER_TEST -O0 -Wall -I ../outparamdel_tests
TARGETS=basic.diff basic2.diff basic2_macros.diff funcpters.diff oom.diff transitive.diff rv_passing.diff 
#ns_succeeded.diff

all: $(subst .diff,.run,$(TARGETS)) $(TARGETS)

%.run: %.exe
	./$<

%.exe: %.o
	$(CXX) $< -o $@

include common.mk
